## sip4 4.19.8+dfsg

=== debian/changelog ===
sip4 (4.19.8+dfsg-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Dmitry Shachnev ]
  * New upstream bugfix release.
  * Bump API version to 12.4.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 10 Mar 2018 09:56:30 +0300
