=== debian/rules ===
--- 
+++ 
@@ -127,13 +127,9 @@
 	install -m 644 -o root -g root debian/sipconfig_py3.py debian/python3-sip/usr/lib/python3.$*/dist-packages/sipconfig.py
 	install -m 644 -o root -g root build-3.$*/sipconfig.py debian/python3-sip/usr/lib/python3.$*/dist-packages/sipconfig_nd$*.py
 	mv debian/python3-sip-dbg/usr/lib/python3.$*/dist-packages/sipconfig.py debian/python3-sip-dbg/usr/lib/python3/dist-packages/sipconfig_d$*.py
-	mkdir -p debian/python3-sip-dev/usr/include/python3.$*m
-	install -m 644 -o root -g root build-3.$*/siplib/sip.h debian/python3-sip-dev/usr/include/python3.$*m/
 	mkdir -p debian/python3-sip-dev/usr/include/python3.$*dm
 	ln -s ../python3.$*m/sip.h \
 	    debian/python3-sip-dev/usr/include/python3.$*dm/sip.h
-	mkdir -p debian/python3-sip-dev/usr/lib/python3.$*/dist-packages
-	install -m 644 -o root -g root sipdistutils.py debian/python3-sip-dev/usr/lib/python3.$*/dist-packages
 
 install-arch-2%:
 	$(MAKE) -C build-2$* install DESTDIR=$(CURDIR)/debian/tmp
@@ -142,13 +138,9 @@
 	install -m 644 -o root -g root debian/sipconfig.py debian/python-sip/usr/lib/python2$*/dist-packages/
 	install -m 644 -o root -g root build-2$*/sipconfig.py debian/python-sip/usr/lib/python2$*/dist-packages/sipconfig_nd.py
 	install -m 644 -o root -g root dbg-build-2$*/sipconfig.py debian/python-sip-dbg/usr/lib/python2$*/dist-packages/sipconfig_d.py
-	mkdir -p debian/python-sip-dev/usr/include/python2$*
-	install -m 644 -o root -g root build-2$*/siplib/sip.h debian/python-sip-dev/usr/include/python2$*/
 	mkdir -p debian/python-sip-dev/usr/include/python2$*_d
 	ln -s ../python2$*/sip.h \
 	    debian/python-sip-dev/usr/include/python2$*_d/sip.h
-	mkdir -p debian/python-sip-dev/usr/lib/python2$*/dist-packages
-	install -m 644 -o root -g root sipdistutils.py debian/python-sip-dev/usr/lib/python2$*/dist-packages
 
 
 # Must not depend on anything. This is to be called by
@@ -195,3 +187,12 @@
 	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common
 
 # Build architecture dependant packages using the common target.
+binary-arch: install-arch
+	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common
+
+binary: binary-arch binary-indep
+
+get-orig-source:
+	uscan --verbose --download-current-version
+
+.PHONY: build binary-indep binary-arch binary clean configure get-orig-source
