## sip4 4.19.12+dfsg

=== debian/changelog ===
sip4 (4.19.12+dfsg-1build1) disco; urgency=medium

  * No-change rebuild to build without python3.6 support.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 03 Nov 2018 11:52:43 +0000

sip4 (4.19.12+dfsg-1) unstable; urgency=medium

  * Exclude sipgen/lexer.c and sipgen/parser.{c,h} from the tarball.
  * New upstream release.
    - Fixes segfault when -n option is not specified (closes: #903263).
  * Drop header_install.diff, applied upstream.
  * Bump API version to 12.5.
  * Build sipgen only once, not for every Python version.
  * Stop passing -e option to configure.py, the default value is fine.
  * Fix race condition when generating debian/sipconfig_py3.py.
  * Bump Standards-Version to 4.1.5, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 08 Jul 2018 17:03:16 +0300
