=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                python3-all-dbg,
                python3-all-dev (>= 3.3.2-5~)
 Build-Depends-Indep: python3-sphinx (>= 1.3)
-Standards-Version: 4.1.4
+Standards-Version: 4.1.5
 Homepage: http://www.riverbankcomputing.co.uk/software/sip/
 Vcs-Git: https://salsa.debian.org/python-team/modules/sip4.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/sip4
