=== debian/rules ===
--- 
+++ 
@@ -2,8 +2,8 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-PY2_PROVIDES=sip-api-12.0, sip-api-12.1, sip-api-12.2, sip-api-12.3, sip-api-12.4
-PY3_PROVIDES=sip-py3api-12.0, sip-py3api-12.1, sip-py3api-12.2, sip-py3api-12.3, sip-py3api-12.4
+PY2_PROVIDES=sip-api-12.0, sip-api-12.1, sip-api-12.2, sip-api-12.3, sip-api-12.4, sip-api-12.5
+PY3_PROVIDES=sip-py3api-12.0, sip-py3api-12.1, sip-py3api-12.2, sip-py3api-12.3, sip-py3api-12.4, sip-py3api-12.5
 # `dh_python3 --depends sip3` should generate dependency on newest API only
 PYDIST=sip $(lastword $(PY3_PROVIDES))
 
@@ -22,6 +22,7 @@
 
 PYTHONS	:= $(shell pyversions -vr) $(shell py3versions -vr)
 PYTHON3S := $(shell py3versions -vr)
+DEFAULT_PYTHON := $(shell py3versions -vd)
 
 .PRECIOUS: build-%/configure-stamp dbg-build-%/configure-stamp
 
@@ -33,39 +34,40 @@
 sipgen/parser.c: sipgen/metasrc/parser.y
 	bison --yacc --defines=sipgen/parser.h --output=sipgen/parser.c sipgen/metasrc/parser.y
 
-build-%/configure-stamp: $(PYTHON3S:%=sipconfig-%) sipgen/lexer.c sipgen/parser.c
+build-%/configure-stamp: sipgen/lexer.c sipgen/parser.c
 	dh_testdir
 	mkdir -p build-$*
 	cp $(CURDIR)/sip.pyi $(CURDIR)/build-$*
 	cd build-$* \
 		&& python$* ../configure.py \
 			-d /usr/lib/python$*/dist-packages \
+			$(if $(filter $(DEFAULT_PYTHON),$*),,--no-tools) \
 			-u STRIP="" CFLAGS="${CFLAGS} ${CPPFLAGS}" CFLAGS_RELEASE="" \
 			CXXFLAGS="${CXXFLAGS} ${CPPFLAGS}" CXXFLAGS_RELEASE="" \
 			LFLAGS="${LDFLAGS}" LFLAGS_RELEASE=""
 	touch $@
 
-dbg-build-%/configure-stamp: sipgen/lexer.c sipgen/parser.c
+dbg-build-%/configure-stamp:
 	dh_testdir
 	mkdir -p dbg-build-$*
 	cp $(CURDIR)/sip.pyi $(CURDIR)/dbg-build-$*
 	cd dbg-build-$* \
 		&& python$*-dbg ../configure.py \
 			-d /usr/lib/python$*/dist-packages \
-			-e /usr/include/python$*_d \
+			--no-tools \
 			-u CFLAGS="${CFLAGS} ${CPPFLAGS}" CFLAGS_RELEASE="" \
 			CXXFLAGS="${CXXFLAGS} ${CPPFLAGS}" CXXFLAGS_RELEASE="" \
 			LFLAGS="${LDFLAGS}" LFLAGS_RELEASE="" STRIP=""
 	touch $@
 
-sipconfig-3.%:
-	cat $(CURDIR)/debian/sipconfig_py3.py $(CURDIR)/debian/sipconfig_py3.snippet \
-		> $(CURDIR)/debian/sipconfig_py3.py.tmp
-	sed -e "s/@MINORVERS@/$*/g" <$(CURDIR)/debian/sipconfig_py3.py.tmp \
-		> $(CURDIR)/debian/sipconfig_py3.py
-	touch $@
-
-build: $(PYTHON3S:%=sipconfig-%) $(PYTHONS:%=build-%/build-stamp) $(PYTHONS:%=dbg-build-%/build-stamp)
+debian/sipconfig_py3.py:
+	cp debian/sipconfig_py3.header debian/sipconfig_py3.py
+	set -e; for version in $(PYTHON3S:3.%=%); do \
+		sed -e "s/@MINORVERS@/$$version/g" debian/sipconfig_py3.snippet \
+		>> debian/sipconfig_py3.py; \
+	done
+
+build: debian/sipconfig_py3.py $(PYTHONS:%=build-%/build-stamp) $(PYTHONS:%=dbg-build-%/build-stamp)
 
 build-%/build-stamp: build-%/configure-stamp
 	dh_testdir
@@ -84,9 +86,7 @@
 	dh_testdir
 	dh_testroot
 	rm -rf *-stamp siputils.pyc __pycache__ $(PYTHONS:%=build-%) $(PYTHONS:%=dbg-build-%)
-	cp $(CURDIR)/debian/sipconfig_py3.header $(CURDIR)/debian/sipconfig_py3.py
-	rm -rf $(CURDIR)/debian/sipconfig_py3.py.tmp
-	rm -rf $(CURDIR)/sipconfig-3.*
+	rm -f $(CURDIR)/debian/sipconfig_py3.py
 	rm -f sipgen/lexer.c sipgen/parser.h sipgen/parser.c sipgen/parser.output
 	rm -f debian/manpages/dh_sip.1 debian/manpages/dh_sip3.1
 	dh_clean debian/python3-sip.pydist
@@ -115,7 +115,7 @@
 	find debian/python*-sip-dbg ! -type d ! -name '*_d.*' ! -name *sipconfig_d* | xargs rm -f
 	find debian/python*-sip-dbg -depth -empty -exec rmdir {} \;
 
-	dh_install -a --sourcedir=$(CURDIR)/debian/tmp
+	dh_install -a
 	install -m 755 -o root -g root debian/dh_sip debian/python-sip-dev/usr/bin
 
 install-arch-3.%:
@@ -126,7 +126,9 @@
 	mkdir -p debian/python3-sip-dbg/usr/lib/python3.$*/dist-packages/
 	install -m 644 -o root -g root debian/sipconfig_py3.py debian/python3-sip/usr/lib/python3.$*/dist-packages/sipconfig.py
 	install -m 644 -o root -g root build-3.$*/sipconfig.py debian/python3-sip/usr/lib/python3.$*/dist-packages/sipconfig_nd$*.py
-	mv debian/python3-sip-dbg/usr/lib/python3.$*/dist-packages/sipconfig.py debian/python3-sip-dbg/usr/lib/python3/dist-packages/sipconfig_d$*.py
+	install -m 644 -o root -g root dbg-build-3.$*/sipconfig.py debian/python3-sip-dbg/usr/lib/python3.$*/dist-packages/sipconfig_d$*.py
+	mkdir -p debian/python3-sip-dev/usr/include/python3.$*m
+	install -m 644 -o root -g root siplib/sip.h debian/python3-sip-dev/usr/include/python3.$*m/sip.h
 	mkdir -p debian/python3-sip-dev/usr/include/python3.$*dm
 	ln -s ../python3.$*m/sip.h \
 	    debian/python3-sip-dev/usr/include/python3.$*dm/sip.h
