## sip4 4.19.13+dfsg

=== debian/changelog ===
sip4 (4.19.13+dfsg-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs
  * d/watch: Use https protocol

  [ Dmitry Shachnev ]
  * New upstream release.
  * Remove unnecessary get-orig-source target.
  * Update debhelper compat level to 11.
  * Install both upstream changelog and NEWS, per Policy 12.7.
  * Bump Standards-Version to 4.2.1.
  * Update Homepage field.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 05 Oct 2018 11:22:53 +0300
