=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
            Scott Kitterman <scott@kitterman.com>,
            Dmitry Shachnev <mitya57@debian.org>
 Build-Depends: bison,
-               debhelper (>= 10),
+               debhelper (>= 11),
                dh-python,
                dh-strip-nondeterminism,
                dpkg-dev (>= 1.16.1~),
@@ -16,8 +16,8 @@
                python3-all-dbg,
                python3-all-dev (>= 3.3.2-5~)
 Build-Depends-Indep: python3-sphinx (>= 1.3)
-Standards-Version: 4.1.5
-Homepage: http://www.riverbankcomputing.co.uk/software/sip/
+Standards-Version: 4.2.1
+Homepage: https://riverbankcomputing.com/software/sip/intro
 Vcs-Git: https://salsa.debian.org/python-team/modules/sip4.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/sip4
