=== debian/rules ===
--- 
+++ 
@@ -154,8 +154,8 @@
 	pod2man -c Debhelper -r '' debian/dh_sip debian/manpages/dh_sip.1
 	pod2man -c Debhelper -r '' debian/dh_sip3 debian/manpages/dh_sip3.1
 	dh_installman
-	dh_installchangelogs -Npython-sip-dbg -Npython3-sip-dbg NEWS
-	dh_installdocs -Npython-sip-dbg -Npython3-sip-dbg
+	dh_installchangelogs -Npython-sip-dbg -Npython3-sip-dbg
+	dh_installdocs -Npython-sip-dbg -Npython3-sip-dbg -A NEWS
 ifeq (,$(findstring -a, $(DH_OPTIONS)))
 	dh_sphinxdoc -p python-sip-doc
 endif
@@ -185,7 +185,7 @@
 
 # Build architecture independant packages using the common target.
 binary-indep:
-	sphinx-build sphinx debian/python-sip-doc/usr/share/doc/python-sip-doc/html
+	python3 -m sphinx sphinx debian/python-sip-doc/usr/share/doc/python-sip-doc/html
 	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common
 
 # Build architecture dependant packages using the common target.
@@ -194,7 +194,4 @@
 
 binary: binary-arch binary-indep
 
-get-orig-source:
-	uscan --verbose --download-current-version
-
-.PHONY: build binary-indep binary-arch binary clean configure get-orig-source
+.PHONY: build binary-indep binary-arch binary clean configure
