=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d*//,repacksuffix=+dfsg https://sf.net/pyqt/sip-(.*)\.tar\.gz
