## sip4 4.19.14+dfsg

=== debian/changelog ===
sip4 (4.19.14+dfsg-2) unstable; urgency=medium

  * Do not add SIP_OVERRIDE to the generated C++ code, to fix QGIS build.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 31 Mar 2019 17:45:47 +0300

sip4 (4.19.14+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Bump API version to 12.6.
  * Backport upstream patch fixing PyQt4 build regression.
  * Update debian/watch to use the new tarballs location.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 23 Feb 2019 15:05:07 +0300

sip4 (4.19.13+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Remove myself from uploaders
  * Bump standards-version to 4.3.0 without further change

 -- Scott Kitterman <scott@kitterman.com>  Sat, 12 Jan 2019 06:21:05 -0500
