=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Torsten Marek <shlomme@debian.org>,
-           Scott Kitterman <scott@kitterman.com>,
            Dmitry Shachnev <mitya57@debian.org>
 Build-Depends: bison,
                debhelper (>= 11),
@@ -16,7 +15,7 @@
                python3-all-dbg,
                python3-all-dev (>= 3.3.2-5~)
 Build-Depends-Indep: python3-sphinx (>= 1.3)
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: https://riverbankcomputing.com/software/sip/intro
 Vcs-Git: https://salsa.debian.org/python-team/modules/sip4.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/sip4
