## sip4 4.19.15+dfsg

=== debian/changelog ===
sip4 (4.19.15+dfsg-1ubuntu1) disco; urgency=medium

  * Cherry-pick new upstream release as patch, to fix wxpython build failure:
    see: https://github.com/wxWidgets/Phoenix/pull/1189
    LP: #1824769

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 13 Apr 2019 16:08:36 +0200

sip4 (4.19.15+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Drop pyqt4_no_nullptr.diff, included in the new release.
  * Update debian/watch for another upstream change.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 24 Mar 2019 14:17:10 +0300
