## sip4 4.19.16+dfsg

=== debian/changelog ===
sip4 (4.19.16+dfsg-1) experimental; urgency=medium

  * New upstream release (closes: #926904).
  * Use dh sequencer and the pybuild buildsystem.
  * Remove references to build path from the generated sipconfig.py files.
  * Fix dist-packages paths in the sipconfig.py files (LP: #1822733).
  * Install the PEP 376 .dist-info directories (but without the RECORD).
  * Update debhelper compat level to 12, use the new syntax.
  * Simplify the .install files, add debian/not-installed file.
  * Install sip and sip3 addons for the dh sequencer.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 25 Apr 2019 20:05:10 +0300
