## sip4 4.19.17+dfsg

=== debian/changelog ===
sip4 (4.19.17+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Add debian/gitlab-ci.yml file with GitLab CI configuration.
  * Fix reproducible build when fixfilepath setting is set.
  * Fix hardcoded sip version in debian/not-installed.
  * Enable fixfilepath setting to make the CI reprotest pass.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 10 May 2019 12:35:07 +0300
