## sip4 4.19.18+dfsg

=== debian/changelog ===
sip4 (4.19.18+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Fix Lintian source-contains-empty-directory warning.
  * Fix a typo in a comment in debian/rules.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 13 Jul 2019 20:04:09 +0300
