## sip4 4.19.19+dfsg

=== debian/changelog ===
sip4 (4.19.19+dfsg-2) unstable; urgency=medium

  * Fix header files location for Python 3.8.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 20 Oct 2019 11:13:46 +0300

sip4 (4.19.19+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Bump API version to 12.7.
  * Update sip.1 manpage to reflect deprecation of the -B option.
  * Bump Standards-Version to 4.4.1, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 15 Oct 2019 19:35:22 +0300
