## sip4 4.19.20+dfsg

=== debian/changelog ===
sip4 (4.19.20+dfsg-1ubuntu1) focal; urgency=medium

  * python-sip-dev: Depend on python2-dev instead of python-dev.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Jan 2020 13:34:57 +0100

sip4 (4.19.20+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 20 Dec 2019 13:24:27 +0300
