=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                python3-all-dbg,
                python3-all-dev (>= 3.3.2-5~)
 Build-Depends-Indep: python3-sphinx (>= 1.3)
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Homepage: https://riverbankcomputing.com/software/sip/intro
 Vcs-Git: https://salsa.debian.org/python-team/modules/sip4.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/sip4
@@ -49,7 +49,7 @@
 Architecture: any
 Section: python
 Depends: ${python:Depends}, python-sip (= ${binary:Version}), sip-dev (= ${binary:Version}),
- python-dev, ${misc:Depends}
+ python2-dev, ${misc:Depends}
 Suggests: python-sip-doc
 Description: Python/C++ bindings generator development files
  SIP is a tool for generating bindings for C++ classes with some ideas
