## sip4 4.19.21+dfsg

=== debian/changelog ===
sip4 (4.19.21+dfsg-1build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:47:17 +0100

sip4 (4.19.21+dfsg-1) unstable; urgency=medium

  [ Matthias Klose ]
  * python-sip-dev: Depend on python2-dev instead of python-dev.

  [ Dmitry Shachnev ]
  * New upstream release.
  * Bump copyright years in debian/copyright.
  * Drop explicit B-D on dh-strip-nondeterminism.
  * Bump Standards-Version to 4.5.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 01 Feb 2020 15:20:34 +0300
