=== debian/control ===
--- 
+++ 
@@ -7,7 +7,6 @@
 Build-Depends: bison,
                debhelper-compat (= 12),
                dh-python,
-               dh-strip-nondeterminism,
                dpkg-dev (>= 1.16.1~),
                flex,
                python-all-dbg,
@@ -15,7 +14,7 @@
                python3-all-dbg,
                python3-all-dev (>= 3.3.2-5~)
 Build-Depends-Indep: python3-sphinx (>= 1.3)
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://riverbankcomputing.com/software/sip/intro
 Vcs-Git: https://salsa.debian.org/python-team/modules/sip4.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/sip4
